petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMGetDefaultGlobalSection

Get the PetscSection encoding the global data layout for the DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMGetDefaultGlobalSection(DM dm, PetscSection *section)

Collective on DM

### Input Parameter

dm -The DM

### Output Parameter

section -The PetscSection

Note: This gets a borrowed reference, so the user should not destroy this PetscSection.

### See Also

DMSetDefaultSection(), DMGetDefaultSection()

Level:intermediate
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages